কনটেন্টে যান

Gemini Omni Flash

ইন্টিগ্রেট করুন

মডেল id google/gemini-omni-flash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ≈১.২৭১$ ১,২৭১ API ক্রেডিট · ≈ ১৩৩.০৭₽ এই পেজে চালান

API কী পান
Google টেক্সট থেকে ভিডিও লিপসিঙ্কদ্রুত৩–১০ s #stylized#transform#lipsync

সিঙ্ক্রোনাইজড অডিও-সহ মূল-সংস্করণের text-to-video, 16:9 বা 9:16-এ 3 থেকে 10 সেকেন্ডের ক্লিপ

Google · ভিডিও

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক 88 / 20000

পছন্দসই ভিডিওর টেক্সট বিবরণ।

aspect_ratio ডিফল্ট 16:9

আউটপুট ভিডিওর aspect ratio।

ডিফল্ট 8

আউটপুট ভিডিওর দৈর্ঘ্য, সেকেন্ডে পরিমাপ করা।

অ্যাডভান্সড enable_safety_checker
POST /run/google/gemini-omni-flash?wait=20 মূল্য → ১.২৭১$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Gemini Omni Flash সম্পর্কে

সর্বোচ্চ 20000 অক্ষরের টেক্সট প্রম্পট থেকে অডিওসহ একটি ছোট ভিডিও তৈরি করে। অ্যাসপেক্ট রেশিও 16:9 অথবা 9:16, এবং সময়কাল 3 থেকে 10 সেকেন্ড; ডিফল্ট 8। 1.1 টেক্সট এন্ডপয়েন্টের বিপরীতে এতে কোনো রেজোলিউশন সেটিং নেই এবং `enable_safety_checker` ফ্ল্যাগটি ডিফল্টভাবে চালু থাকে।

প্যারামিটার

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
≤ ২০,০০০টি অক্ষর
পছন্দসই ভিডিওর টেক্সট বিবরণ।
aspect_ratioঐচ্ছিক
ধরনenum
ডিফল্ট16:9
16:99:16
আউটপুট ভিডিওর aspect ratio।
durationঐচ্ছিক
ধরনinteger
ডিফল্ট8
৩ – ১০
আউটপুট ভিডিওর দৈর্ঘ্য, সেকেন্ডে পরিমাপ করা।
enable_safety_checkerঐচ্ছিক
ধরনboolean
ডিফল্টtrue
কলকারী অনুমোদিত হলে false সেট করে স্ক্রিনিং শিথিল করা যায়।
আবশ্যক

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1271,
    "usd": "1.271",
    "charged": 1271,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
video
object {url, content_type, file_name, file_size}মডেল দ্বারা উৎপাদিত ভিডিও।

আরও মডেল: টেক্সট থেকে ভিডিও

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/google/gemini-omni-flash.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt